*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    font-family:Arial, sans-serif;
    background:#f4f4f4;
}

header{
    background:#2e7d32;
    color:white;
    padding:20px;
}

nav{
    display:flex;
    justify-content:center;
    gap:30px;
    margin-top:10px;
}

nav a{
    color:white;
    text-decoration:none;
    font-weight:bold;
}

.hero{
    text-align:center;
    padding:40px;
    background:white;
}

.hero img{
    width:70%;
    max-width:700px;
    border-radius:10px;
    margin-top:20px;
}

.tarjetas{
    display:flex;
    justify-content:center;
    gap:20px;
    margin:30px;
}

.card{
    background:white;
    width:300px;
    padding:20px;
    border-radius:10px;
    box-shadow:0 0 10px rgba(0,0,0,.2);
}

.card img{
    width:100%;
    border-radius:10px;
}

footer{
    background:#333;
    color:white;
    text-align:center;
    padding:20px;
}

.contenedor{
    width:450px;
    margin:50px auto;
    background:white;
    padding:30px;
    border-radius:10px;
    box-shadow:0px 0px 15px rgba(0,0,0,.2);
}

.logo-form{
    display:block;
    margin:auto;
    width:120px;
    margin-bottom:15px;
}

.contenedor h2{
    text-align:center;
    color:#2e7d32;
    margin-bottom:20px;
}

input{
    width:100%;
    padding:12px;
    margin:10px 0;
    border:1px solid #ccc;
    border-radius:5px;
}

button{
    width:100%;
    padding:12px;
    background:#2e7d32;
    color:white;
    border:none;
    border-radius:5px;
    cursor:pointer;
}

button:hover{
    background:#1b5e20;
}

.form-link{
    text-align:center;
    margin-top:15px;
}

.form-link a{
    color:#2e7d32;
    text-decoration:none;
}

table{
    width:100%;
    border-collapse:collapse;
    margin-top:20px;
}

table, th, td{
    border:1px solid #ccc;
}

th, td{
    padding:10px;
    text-align:center;
}

select{
    width:100%;
    padding:12px;
    margin:10px 0;
    border:1px solid #ccc;
    border-radius:5px;
}

textarea{
    width:100%;
    height:120px;
    padding:10px;
    border:1px solid #ccc;
    border-radius:5px;
    resize:none;
}

.contenedor-calendario{
    width:90%;
    margin:30px auto;
    background:white;
    padding:25px;
    border-radius:10px;
    box-shadow:0px 0px 15px rgba(0,0,0,0.2);
}

.tabla-calendario{
    width:100%;
    border-collapse:collapse;
    margin-top:20px;
}

.tabla-calendario th{
    background:#2e7d32;
    color:white;
    padding:15px;
}

.tabla-calendario td{
    height:120px;
    vertical-align:top;
    padding:15px;
    background:#f9f9f9;
}

.mensaje{
    width:450px;
    margin:20px auto;
    background:#ffebee;
    color:#c62828;
    text-align:center;
    padding:15px;
    border-radius:8px;
    font-weight:bold;
}